Page MenuHomePhabricator

[Regression 1.28.0-wmf.15] VE does not scroll cursor into view when adding new lines to end of document
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  • open a long page for editing
  • navigate to bottom
  • press enter a few times

The cursor will move down but the viewport will not scroll (so the cursor will leave the visible area), which is not how the browser's native editor behaves.

Event Timeline

Tgr created this task.Dec 19 2016, 8:22 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 19 2016, 8:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Esanders renamed this task from New wikitext editor does not follow cursor with the scrollbar at bottom of the page to [Regression] VE does not scroll cursor into view when adding new lines to end of document.Dec 19 2016, 8:11 PM
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.

Edited to make this a generic VE bug, not just wikitext mode.

Change 328395 had a related patch set uploaded (by DLynch):
ui.Surface: scrollCursorIntoView should handle below the screen, too

https://gerrit.wikimedia.org/r/328395

DLynch claimed this task.Dec 20 2016, 5:36 PM
Jdforrester-WMF renamed this task from [Regression] VE does not scroll cursor into view when adding new lines to end of document to [Regression 1.28.0-wmf.15] VE does not scroll cursor into view when adding new lines to end of document.Jan 3 2017, 6:34 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 1.

Change 328395 merged by jenkins-bot:
ui.Surface: scrollCursorIntoView should handle below the screen, too

https://gerrit.wikimedia.org/r/328395

Change 331515 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (460f16c)

https://gerrit.wikimedia.org/r/331515

Change 331515 merged by jenkins-bot:
Update VE core submodule to master (460f16c)

https://gerrit.wikimedia.org/r/331515

Jdforrester-WMF closed this task as Resolved.Jan 10 2017, 7:35 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

OK, theoretically this is now fixed.